Configuring XSRF protection

To prevent users being tricked into unintentionally submitting malicious data, Bamboo uses XSRF security protection.

Atlassian supported plugins have been updated to support XSRF. XSRF protection is enabled by default for Atlassian Cloud customers and new customers for Bamboo Server, however, if you are using a plugin that is not yet compatible with this security feature, you can disable it.

 Please carefully consider the security risks before you disable XSRF protection in your Bamboo installation.

Read more about XSRF (Cross Site Request Forgery) at wikipedia.

To configure XSRF protection:

  1. Bamboo ヘッダーの アイコンをクリックし、概要を選択します。
  2. Choose Security settings in the left-hand panel.
  3. 編集を選択する。
  4. Uncheck Enable XSRF protection to disable XSRF protection or check it to enable XSRF protection.
  5. 保存を選択します 。

XSRF protection was introduced in Bamboo 5.3, and is enabled automatically for all existing and new Atlassian Cloud users. Existing Bamboo Server users can enable XSRF protection by following the instructions above and checking Enable XSRF protection.

 Is my Bamboo server already protected against XSRF attacks?

Customers upgrading... XSRF protection
... an existing installation of Bamboo 5.2, and earlier, to Bamboo 5.3, and later.

(error) XSRF protection is NOT enabled by default.

You can enable XSRF protection using the instructions on this page.

... a new installation of Bamboo Server 5.3, and later. (tick) XSRF protection IS enabled by default.


最終更新日 2014 年 11 月 21 日

この翻訳に満足しましたか?

はい
いいえ
この記事についてのフィードバックを送信する

お探しの情報が見つかりませんか?

コミュニティへの質問

Powered by Confluence and Scroll Viewport.